## python-drf-spectacular 0.25.1

=== requirements.txt ===
-r requirements/base.txt
-r requirements/testing.txt
-r requirements/optionals.txt
-r requirements/packaging.txt
-r requirements/docs.txt

## python-drf-spectacular 0.9.1

=== debian/changelog ===
python-drf-spectacular (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #958984).

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 Apr 2020 22:52:48 +0200

=== debian/control ===
Source: python-drf-spectacular
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-django-oauth-toolkit,
 python3-django-polymorphic,
 python3-djangorestframework,
 python3-jsonschema,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-uritemplate,
 python3-yaml,
Standards-Version: 4.5.0
Homepage: https://github.com/tfranzel/drf-spectacular/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-drf-spectacular
Vcs-Git: https://salsa.debian.org/python-team/modules/python-drf-spectacular.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-djangorestframework-spectacular-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenAPI 3 schema generation for Django REST framework (Documentation)
 Sane and flexible OpenAPI 3 schema generation for Django REST framework. The
 code is a heavily modified fork of the DRF OpenAPI generator, which is/was
 lacking all of the below listed features:
 .
  * Serializers modelled as components (arbitrary nesting and recursion
    supported)
  * Authentication support (DRF natives included, easily extendable)
  * Custom serializer class support
  * Tags extraction
  * Description extraction from docstrings
  * Sane fallbacks where no Serializer is available
  * Sane operation_id naming (based on path)
  * Easy to use hooks for extending the AutoSchema class
  * Optional schema serving with SpectacularAPIView
 .
 This package contains the documentation.

Package: python3-djangorestframework-spectacular
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-djangorestframework-spectacular-doc,
Description: OpenAPI 3 schema generation for Django REST framework (Python3 version)
 Sane and flexible OpenAPI 3 schema generation for Django REST framework. The
 code is a heavily modified fork of the DRF OpenAPI generator, which is/was
 lacking all of the below listed features:
 .
  * Serializers modelled as components (arbitrary nesting and recursion
    supported)
  * Authentication support (DRF natives included, easily extendable)
  * Custom serializer class support
  * Tags extraction
  * Description extraction from docstrings
  * Sane fallbacks where no Serializer is available
  * Sane operation_id naming (based on path)
  * Easy to use hooks for extending the AutoSchema class
  * Optional schema serving with SpectacularAPIView
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-drf-spectacular-$1.tar.gz/ \
https://github.com/tfranzel/drf-spectacular/releases \
/tfranzel/drf-spectacular/archive/([\d\.]+)\.tar\.gz

## python-drf-spectacular 0.13.1

=== debian/changelog ===
python-drf-spectacular (0.13.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload with urgency=medium to reach bullseye.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:19:13 +0200

python-drf-spectacular (0.13.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Add python3-django-filters, python3-inflection and python3-psycopg2
    to Build-Depends, required by tests.
  * Update patch to skip all contrib tests with missing dependencies.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper version to 13.
  * Use uscan version 4.
  * Bump versioned build dependency on python3-uritemplate to (>= 3~).

 -- Michael Fladischer <fladi@debian.org>  Tue, 02 Feb 2021 22:49:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: python-drf-spectacular
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
+ python3-django-filters,
  python3-django-oauth-toolkit,
  python3-django-polymorphic,
  python3-djangorestframework,
+ python3-inflection,
  python3-jsonschema,
+ python3-psycopg2,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-uritemplate,
+ python3-uritemplate (>= 3~),
  python3-yaml,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/tfranzel/drf-spectacular/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-drf-spectacular
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-drf-spectacular.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-spectacular
export PYBUILD_BEFORE_TEST=cp {dir}/runtests.py {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/runtests.py {build_dir}/hello.txt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-djangorestframework-spectacular-doc/usr/share/doc/python-djangorestframework-spectacular-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="cd {build_dir}; PYTHONHASHSEED=3114101546 {interpreter} runtests.py --fast"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-drf-spectacular-$1.tar.gz/ \
https://github.com/tfranzel/drf-spectacular/releases \
/tfranzel/drf-spectacular/archive/([\d\.]+)\.tar\.gz

## python-drf-spectacular 0.21.1

=== debian/changelog ===
python-drf-spectacular (0.21.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Let pytest ignore tests/contrib/test_rest_framework_recursive.py,
    vanilla DRF Field is not a suitable replacement for RecursiveField.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Jan 2022 10:08:54 +0000

python-drf-spectacular (0.20.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add patch to disable font loading from external sources in redoc
    template.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Oct 2021 21:09:49 +0000

python-drf-spectacular (0.18.2-1) unstable; urgency=medium

  [ Adam Cecile ]
  * New upstream release (Closes: #989305).

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Add patch to skip rest_framework_simplejwt tests if not installed.

 -- Michael Fladischer <fladi@debian.org>  Fri, 10 Sep 2021 21:54:42 +0000

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,25 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-django,
+ python3-django (>= 2:2.2~),
  python3-django-filters,
- python3-django-oauth-toolkit,
+ python3-django-oauth-toolkit (>= 1.2.0~),
  python3-django-polymorphic,
- python3-djangorestframework,
+ python3-djangorestframework (>= 3.10~),
  python3-inflection,
  python3-jsonschema,
  python3-psycopg2,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-uritemplate (>= 3~),
  python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/tfranzel/drf-spectacular/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python-djangorestframework-spectacular-doc

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export PYBUILD_NAME=djangorestframework-spectacular
 export PYBUILD_BEFORE_TEST=cp {dir}/runtests.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -f {build_dir}/runtests.py {build_dir}/hello.txt
+# See discussion @ https://github.com/tfranzel/drf-spectacular/issues/411
+export PYBUILD_TEST_ARGS=-v --skip-missing-contrib --ignore tests/contrib/test_rest_framework_recursive.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -18,7 +20,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- --system=custom --test-args="cd {build_dir}; PYTHONHASHSEED=3114101546 {interpreter} runtests.py --fast"
+	dh_auto_test
 endif
 
 override_dh_clean:

## python-drf-spectacular 0.22.0

=== debian/changelog ===
python-drf-spectacular (0.22.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Mon, 04 Apr 2022 19:40:30 +0000

## python-drf-spectacular 0.25.1

=== debian/changelog ===
python-drf-spectacular (0.25.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 23:54:27 +0000

python-drf-spectacular (0.24.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2022 13:13:07 +0000

python-drf-spectacular (0.24.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Sep 2022 21:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sphinx-rtd-theme,
  python3-uritemplate (>= 3~),
  python3-yaml,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/tfranzel/drf-spectacular/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular.git

## python-drf-spectacular 0.26.2

=== debian/changelog ===
python-drf-spectacular (0.26.2-1) unstable; urgency=medium

  * New upstream version 0.26.2
  * Bump Standards-Version to 4.6.2.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 19:14:02 +0000

## python-drf-spectacular 0.27.0

=== debian/changelog ===
python-drf-spectacular (0.27.0-1) unstable; urgency=low

  * New upstream version 0.27.0
  * Refresh patches.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 Jan 2024 12:11:29 +0000

python-drf-spectacular (0.26.5-1) unstable; urgency=medium

  * New upstream version 0.26.5
  * Refresh patches.
  * Add patch to use local objects.inv in intersphinx mapping.

 -- Michael Fladischer <fladi@debian.org>  Sun, 01 Oct 2023 21:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django (>= 2:2.2~),
  python3-django-filters,
@@ -23,7 +24,7 @@
  python3-sphinx-rtd-theme,
  python3-uritemplate (>= 3~),
  python3-yaml,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/tfranzel/drf-spectacular/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-drf-spectacular-$1.tar.gz%" \
   https://github.com/tfranzel/drf-spectacular/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-drf-spectacular 0.27.2

=== debian/changelog ===
python-drf-spectacular (0.27.2-1) unstable; urgency=medium

  * Team upload
  * d/control: Mark the -doc package Multi-Arch: foreign
  * d/watch: Switch to use Git mode on GitHub
  * New upstream version 0.27.2
  * Rebuild patch queue from patch-queue branch
    Dropped patch (fixed upstream):
    0005-DRF-3.15-counteract-new-assertion-for-tests.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 Jun 2024 18:56:22 +0200

python-drf-spectacular (0.27.1-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add some minor defaults
  * New upstream version 0.27.1
  * Rebuild patch queue from patch-queue branch
    Added patch:
    0005-DRF-3.15-counteract-new-assertion-for-tests.patch
     Fixes test suite run with DRF >= 3.15.0
    Modified patches (added Forwarded: not needed):
    0001-Remove-image-badges-to-prevent-privacy-breaches.patch
    0002-Skip-rest_framework_simplejwt-tests-if-not-installed.patch
    0003-Do-not-load-fonts-from-external-sources.patch
    0004-Use-local-objects.inv-in-intersphinx-mapping.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Mar 2024 08:59:18 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: OpenAPI 3 schema generation for Django REST framework (Documentation)
  Sane and flexible OpenAPI 3 schema generation for Django REST framework. The
  code is a heavily modified fork of the DRF OpenAPI generator, which is/was

## python-drf-spectacular 0.28.0

=== requirements.txt ===
-r requirements/base.txt
-r requirements/testing.txt
-r requirements/linting.txt
-r requirements/optionals.txt
-r requirements/packaging.txt
-r requirements/docs.txt

=== debian/changelog ===
python-drf-spectacular (0.28.0-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * d/watch: Convert to version 5
  * d/control: Bump Standards-Version to 4.7.2
  * d/control: Remove Rules-Requires-Root

  [ Colin Watson ]
  * Fix test failures with djangorestframework 3.16.1 compatibility
    (Closes: #1114301)

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Sep 2025 00:12:35 +0100

python-drf-spectacular (0.28.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.28.0
    (Closes: #1089029)
  * Rebuild patch queue from patch-queue branch
    Updated/adjusted patch:
    0002-Skip-rest_framework_simplejwt-tests-if-not-installed.patch
  * d/control: Switch sphinx-rtd-theme to furo in B-D
  * d/rules: Add some more tests we need to ignore
  * autopkgtests: Ignore these tests here too
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * d/control: Use dh-sequence-{python3,sphinxdoc}
  * d/rules: Drop --with option from default target
  * d/rules: Remove .mypy_cache while dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 04 Dec 2024 20:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ furo,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django (>= 2:2.2~),
@@ -21,14 +23,12 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
- python3-sphinx-rtd-theme,
  python3-uritemplate (>= 3~),
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/tfranzel/drf-spectacular/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular.git
-Rules-Requires-Root: no
 
 Package: python-djangorestframework-spectacular-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,13 @@
 export PYBUILD_BEFORE_TEST=cp {dir}/runtests.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -f {build_dir}/runtests.py {build_dir}/hello.txt
 # See discussion @ https://github.com/tfranzel/drf-spectacular/issues/411
-export PYBUILD_TEST_ARGS=-v --skip-missing-contrib --ignore tests/contrib/test_rest_framework_recursive.py
+export PYBUILD_TEST_ARGS=-v --skip-missing-contrib \
+ --ignore tests/contrib/test_rest_framework_recursive.py \
+ --ignore tests/test_callbacks.py \
+ -k 'not test_model_choice_display_method_on_readonly'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -24,5 +27,5 @@
 endif
 
 override_dh_clean:
-	rm -rf docs/.build
+	rm -rf docs/.build .mypy_cache
 	dh_clean

=== debian/watch ===
Version: 5

Source: https://github.com/tfranzel/drf-spectacular.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
